# IRdTriangleSelectionStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumTriangleSelectionWeights ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumTriangleSelectionWeights ([in] RtDWORD dwNumTriangleSelectionWeights)
## Properties
RtBYTE * | selected ([in] RtDWORD dwIndex)`[get]`
RtBYTE | selected ([in] RtDWORD dwIndex)`[set]`
RtUlong * | orgelementindex ([in] RtDWORD dwIndex)`[get]`
RtUlong | orgelementindex ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdTriangleSelectionStream:

- Holds slection information and lookup tables for meshes triangles.
- Elements are stored in RtTriangleSelectionWeight structure.
- The stream is part of IRdMesh and is stored in Vertex stream group.
- Stream is identified by STREAMID_TRIANGLE_SEL_WEIGHTS id.

## Member Function Documentation

HRESULT IRdTriangleSelectionStream::GetNumTriangleSelectionWeights | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of triangles.

Returns:
  dwNumVertices [out] Returns number of triangles.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdTriangleSelectionStream::SetNumTriangleSelectionWeights | ( | [in] RtDWORD | dwNumTriangleSelectionWeights | ) |

Set number of triangles.

Parameters:

  | dwNumTriangleSelectionWeights | [in] Set number of triangles.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtBYTE* IRdTriangleSelectionStream::selected([in] RtDWORD dwIndex)`[get]`

Get weight of i-th triangle.

Parameters:

  | dwIndex | [in] Index value of triangle.

Returns:
  pVal [out,retval] Returned weight value.

  standard HRESULT processing can be applied to returned value.

RtBYTE IRdTriangleSelectionStream::selected([in] RtDWORD dwIndex)`[set]`

Set weight of i-th triangle.

Parameters:

  | dwIndex | [in] Index value of triangle.
  | newVal | [in] New value to set for weight.

Returns:
  standard HRESULT processing can be applied to returned value.

RtUlong * IRdTriangleSelectionStream::orgelementindex([in] RtDWORD dwIndex)`[get]`

Get previous index of i-th triangle.

Parameters:

  | dwIndex | [in] Index value of triangle.

Returns:
  pVal [out,retval] Previous index.

  standard HRESULT processing can be applied to returned value.

RtUlong IRdTriangleSelectionStream::orgelementindex([in] RtDWORD dwIndex)`[set]`

Set previous index of i-th triangle.

Parameters:

  | dwIndex | [in] Index value of triangle.
  | newVal | [in] New value to set for previous index.

Returns:
  standard HRESULT processing can be applied to returned value.